{{define "tradingstoriesnew"}}

{{template "layout-top" .}}

<section class="feeds no-padding-top">
  <div class="container-fluid">
    <div class="row">
      <div class="col-lg-12">
          <div class="articles card">
            <div class="card-header d-flex align-items-center">
              <h2 class="h3">Neue TradingStory anlegen</h2>                        
            </div>
            {{if .FormNewMessage}}
            <div class="card-header d-flex align-items-center">
              <span style="color:#54e69d;"><small>{{.FormNewMessage}}</small></span>
            </div>
            {{end}}
            {{if .FormNewMessageError}}
            <div class="card-header d-flex align-items-center">
              <span style="color:red;"><small>{{.FormNewMessageError}}</small></span>
            </div>
            {{end}}
            <div class="card-body no-padding">
              <div class="item d-flex align-items-center">
                <form action="/tradingstoriesnew" method="POST" class="container-fluid">
                  <div class="form-group row">
                      <label class="col-sm-4">Name</label>
                      <div class="col-sm-8">
                        <input type="text" id="name" name ="name" placeholder="Name" class="form-control form-control-success" autocomplete="off" />
                        <small class="form-text">Name der TradingStory eingeben.</small>
                      </div>
                  </div>
                  <div class="form-group row">
                      <label class="col-sm-4">Beschreibung</label>
                      <div class="col-sm-8">
                        <input type="text" id="description" name ="description" placeholder="Beschreibung" class="form-control form-control-success" autocomplete="off" />
                        <small class="form-text">Beschreibung der TradingStory eingeben.</small>
                      </div>
                  </div>
                  <div class="form-group row">
                    <label class="col-sm-4">Assettypes</label>
                    <div class="col-sm-8">
                        <small class="form-text">Welche Assettypes darf die TradingStory traden?</small>
                        <br>
                        <ul style="list-style-type: none; padding-inline-start: 0px;">
                          {{range .Assettypes}}
                          <li>
                            <label>
                            <input type="checkbox" name="assettype_pid" value="{{.ID}}" class="checkbox-template" style="margin-right: 10px;">
                            {{.Name}}
                            </label>
                          </li>
                          {{end}}
                        </ul>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="col-sm-4">Typ</label>
                    <div class="col-sm-8">
                      <input name="type" id="type_one" type="radio" value="0" checked="checked">
                      <label for="type_one">Manuell</label>
                      <br>
                      <input name="type" id="type_continue" type="radio" value="1">
                      <label for="type_continue">Automatisiert</label>
                      <small class="form-text">Soll die TradingStory manuell oder automatisiert traden?</small>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="col-sm-4">Trailing Distance</label>
                    <div class="col-sm-8">
                      <input type="text" id="trailing_distance" name ="trailing_distance" placeholder="Trailing Distance (%)" class="form-control form-control-success" autocomplete="off" />
                      <small class="form-text">Trailing Distance in Prozent eingeben.</small>
                    </div>
                  </div>
                  <div class="form-group row">
                    <label class="col-sm-4">Start Trading Volume</label>
                    <div class="col-sm-8">
                      <input type="text" id="trading_volume" name ="trading_volume" placeholder="Trading Volume (€)" class="form-control form-control-success" autocomplete="off" />
                      <small class="form-text">Start Trading Volume in Euro eingeben.</small>
                    </div>
                  </div>
                  <div class="form-group row">       
                    <div class="col-sm-8 offset-sm-4">
                      <input type="submit" id="submitNewTradingstorie" name="submitNewTradingstorie" value="Speichern" class="btn btn-primary" />
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
  
  {{ template "layout-bottom" .}}

{{end}}